Ticket #36550

スナイパーの敵AC修正に関するバグ

Open Date: 2016-08-15 23:37 Last Update: 2016-11-24 00:25

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

いただいたご指摘確認の上修正する。

以下 https://twitter.com/TK_VC_GameAka/status/765194618359078913 より引用

cmd2.cの3515行目が多分期待した実装の処理だと思うのですが、せっかく設定したarmour変数がどこでも使われてないのでデッドロジックになってるぽいですー

Ticket History (3/3 Histories)

2016-08-15 23:37 Updated by: deskull
  • New Ticket "スナイパーの敵AC修正に関するバグ" created
2016-08-22 23:54 Updated by: deskull
  • Resolution Update from None to Fixed
Comment

以下のように修正。

  • 敵のACが集中度に伴い1/8まで低下する処理は、デッドロジック記述元のdo_cmd_fire_aux()から、命中判定をTRUE/FALSEで返す。test_hit_fire()に移動させた。
  • その際、そこに別途記述されていた集中度によるk値加算により、逆に必中範囲から外れる不具合が確認できたので、k値による必中、ファンブル判定を1d100の上方判定の上端、下端5ポイントに移して直観的にした。

自身のデバッグプレイで十分確認ができた後か、有志からのツッコミがないか、しばらく待ってチケット完了とする。

2016-11-24 00:25 Updated by: deskull
  • Ticket Close date is changed to 2016-11-24 00:25
  • Status Update from Open to Closed
Comment

特にツッコミなし。問題なさそうなので完了。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login